Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxdesktop
Class Pen

    java.lang.Object
      teamdev.jxdesktop.Pen

public class Pen
extends java.lang.Object

This is a bean class that holds parameters for creating native pen objects.

Constructor Summary
`Pen()` Constructs a new `Pen` object.
`Pen(java.awt.Color color, int width)` Constructs a new `Pen` object.

Method Summary
`java.awt.Color` | `getColor()` Returns the color of the current object.
`int` | `getWidth()` Gets the width of the current object in pixels.
`void` | `setColor(java.awt.Color color)` Sets the specified color for the current object.
`void` | `setWidth(int width)` Sets the specified width for the current object in pixels.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pen

    public Pen()

  Constructs a new `Pen` object.

### Pen

    public Pen(java.awt.Color color,
               int width)

  Constructs a new `Pen` object.

Parameters:
  `color` - a specified color
  `width` - a specified width in pixels

Method Detail

### getColor

    public java.awt.Color getColor()

  Returns the color of the current object.

  Returns:
    the color of the current object. The return value can be `null` if the current color is transparent.

### setColor

    public void setColor(java.awt.Color color)

  Sets the specified color for the current object. In order to set the current color to * transparent, the specified color should be set to `null` value.

  Parameters:
    `color` - the specified color

### getWidth

    public int getWidth()

  Gets the width of the current object in pixels.

  Returns:
    the width of the current object in pixels

### setWidth

    public void setWidth(int width)

  Sets the specified width for the current object in pixels.

  Parameters:
    `width` - the specified width for the current object in pixels

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD